Selecting Dims based on value
@Mason wrote: Are there arguments or commands within Rhinoscript or Python that can select dimensions based on their value? We have a script we use to automatically pull dimensions between holes on...
View ArticleBooleanSplit produces closed solid polysurface while more primitive splits...
@mike15 wrote: Given a closed solid polysurface, when split with BooleanSplit (say in two for simplicity), you wind up with closed solid polysurfaces. But when you do the same thing with Split, or...
View ArticleCreate instance of Public Method in RunScript error: C #
@brobes05 wrote: Hi I am currently switching from Python to C# and am getting a fairly simple error ‘Method must have a return type error’. I have added the ‘Curve’ return type after the access...
View ArticleRhino VBScript Debugger has Step Into, Run, Complete but no Terminate
@mike15 wrote: While debugging a VBScript, when the debugger stops on a break point, the popup debugger provides a Step Into button, a Run button and a Complete button. Conspicuously absent is a...
View ArticleOpen 3DM file without dialog
@dick.lelyveld wrote: Is there a way to open a 3DM file using Python without the Open dialog? Posts: 3 Participants: 3 Read full topic
View ArticlePython Script stops working on V5
@laborda wrote: Hi, I have a great Python script created by @emilio that’s giving me trouble sometimes while using it on rhino 5.14.522.8390. The script creates the intersection of surfaces using the...
View ArticleUV parameter
@onlyforpeace wrote: Hello, in a script i want to find the plane on a surface with Rhino.surfaceFrame command, but i have to insert a U,V parameter. So i wrote SurfPlane = Rhino.SurfaceFrame(StrSurf,...
View ArticleSetPt in Python
@Jonathan_Hutchinson1 wrote: What is the simplest way to be able to do an operation similar to Rhino’s SetPt with Python? So picking a 3D curve whose points will be set, and for simplicity it will...
View ArticlePython: deleting layers and sublayers
@dick.lelyveld wrote: When deleting (sub)layers an error occurs: [layer name] does not exist in LayerTable. My code: import rhinoscriptsyntax as rs layers = rs.LayerNames() for layer in layers: if...
View ArticlePython import module not updating after changed
@vincentfs wrote: Hi everyone, I noticed that when I run a python script that imports module from other python files. The imported modules will not be updated after you make changes to the file. I...
View ArticleCustom button that executes different commands depending on selection type?
@eobet wrote: As the title says, I wish to create a button in my toolbar that depending of whether I select a curve or a surface/polysurface executes a different command (offset or offsetsrf). Do I...
View ArticleNamed Positions
@RogerD wrote: I have a number of items of which I have saved their positions I now want to select one of the items and return the Named Position ID in RVB. Any suggestions as I don’ t appear to have...
View ArticleRhino Script
@hakan.yazici wrote: I wanna pick two points and finaly must be like the picture draw 3d line Arrow head(line transform to arrow line) Meausere length M. Length value write with Dot to midpoint of the...
View ArticleDownloading RhinoPython101 from link - warning
@Helvetosaur wrote: From this page: developer.rhino3d.com Guides All the guides available for developing for Rhino or Grasshopper. There is a link to download the primer as a PDF with the following...
View ArticleInstalling library pandas python
@yseptarangga wrote: can anyone give me a tutorial to install the python pandas library or something like that? thanks Posts: 1 Participants: 1 Read full topic
View ArticlePolyline in python
@onlyforpeace wrote: excuse me, but i don’t find the command “Add polyline” in python, and i don’t find how can i make a list of 3D points to construc my polyline… the list is generate in a loop…...
View ArticleIssue Programmatically Saving "Raytraced" (Cycles) Renderings
@Dow wrote: Hello All, When attempting to render and save in the “Raytraced” (Cycles) mode, the image is written to disk prior to any passes being generated. I’ve researched this for several hours and...
View ArticleVery simple mover script pretty laggy in Rhino 6?
@p1r4t3b0y wrote: Hi, This script produces a very simple mover/agent/particle that randomly travels within two-dimensional bounds. I think that it used to work great back in Rhino 5, but seems very...
View ArticleWish - improved search function in RhinoCommon API - partial matches
@Helvetosaur wrote: Currently, the search box does not do a great job with partial matches. Sometimes it works, sometimes it doesn’t: Example: On this page, typing “createboolean” in the upper right...
View ArticleCreating Polygon and irritating in different center points
@hevenly-diana2000 wrote: I find the way creating polygon but i couldn’t repeat that in different center points. at firs i create plane then circle then polygon. when i write...
View Article